Name:           dwarfs
Version:        0.12.3
Release:        1%{?dist}
Summary:        A fast high compression read-only file system


License:        GPLv3 AND MIT
URL:            https://github.com/mhx/%{name}
Source0:        https://github.com/mhx/%{name}/releases/download/v%{version}/%{name}-%{version}.tar.xz

Requires: boost-chrono
Requires: boost-iostreams
Requires: boost-program-options
Requires: bzip2-libs
Requires: double-conversion
Requires: fmt
Requires: gflags
Requires: glog
Requires: jemalloc
Requires: libacl
Requires: libarchive
Requires: libattr
Requires: libbrotli
Requires: libstdc++
Requires: libunwind
Requires: libxml2
Requires: libzstd
Requires: lz4-libs
Requires: openssl-libs
Requires: xxhash-libs
Requires: xz-libs
Requires: zlib

BuildRequires: binutils-devel
BuildRequires: bison
BuildRequires: boost-chrono
BuildRequires: boost-context
BuildRequires: boost-devel
BuildRequires: boost-filesystem
BuildRequires: boost-iostreams
BuildRequires: boost-program-options
BuildRequires: boost-regex
BuildRequires: boost-system
BuildRequires: boost-thread
BuildRequires: brotli-devel
BuildRequires: ccache
BuildRequires: clang
BuildRequires: cmake
BuildRequires: date-devel
BuildRequires: double-conversion-devel
BuildRequires: elfutils-devel
BuildRequires: file-devel
BuildRequires: flac-devel
BuildRequires: flex
BuildRequires: fmt-devel
BuildRequires: fuse3
BuildRequires: fuse3-devel
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: git
BuildRequires: glog-devel
BuildRequires: gmock-devel
BuildRequires: google-benchmark-devel
BuildRequires: gtest-devel 
BuildRequires: jemalloc-devel
BuildRequires: json-devel
BuildRequires: libacl-devel
BuildRequires: libarchive-devel
BuildRequires: libdwarf-devel
BuildRequires: libevent-devel
BuildRequires: libunwind-devel
BuildRequires: lz4-devel
BuildRequires: make
BuildRequires: ninja-build
BuildRequires: openssl-devel
BuildRequires: pkgconf
BuildRequires: range-v3-devel
BuildRequires: rubygem-ronn-ng
BuildRequires: utf8cpp-devel
BuildRequires: xxhash-devel
BuildRequires: xz-devel

%description
DwarFS is a read-only file system with a focus on achieving very high compression ratios in particular for very redundant data.

%prep
%autosetup

%build
%cmake -DCMAKE_POSITION_INDEPENDENT_CODE=ON \
-DBUILD_SHARED_LIBS=ON \
-DWITH_MAN_OPTION=OFF \
-DCMAKE_INSTALL_SBINDIR=%{_sbindir} \
-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
%cmake_build

%install
%cmake_install

%files
%license LICENSE

%{_mandir}/man1/dwarfs.1*
%{_mandir}/man1/dwarfsck.1*
%{_mandir}/man1/dwarfsextract.1*
%{_mandir}/man1/mkdwarfs.1*
%{_mandir}/man5/dwarfs-format.5*

%{_libdir}/libdwarfs_*.so*

%{_includedir}/dwarfs/*.h
%{_includedir}/dwarfs/*/*.h

%{_libdir}/cmake/dwarfs/*.cmake

%{_bindir}/dwarfsck
%{_bindir}/dwarfsextract
%{_bindir}/mkdwarfs
%{_sbindir}/dwarfs
%{_sbindir}/mount.dwarfs

%changelog
* Fri Jan 12 2024 silentnoodle - 0.7.4-1
- rewritten spec
